package com.mcwl.web.controller.system;

import com.mcwl.common.core.domain.AjaxResult;
import com.mcwl.system.domain.vo.AdviceVo;
import com.mcwl.system.service.ISysAdviceService;
import lombok.RequiredArgsConstructor;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@RestController
@RequestMapping("system/advice")
@RequiredArgsConstructor
public class SysAdviceController {

    private final ISysAdviceService sysAdviceService;

    /**
     * 根据当前用户获取新消息提醒
     */
    @GetMapping("getUserNewMsg")
    public AjaxResult getUserNewMsg() {
        List<AdviceVo> adviceVo = sysAdviceService.getUserNewMsg();
        return AjaxResult.success(adviceVo);
    }

    /**
     * 根据当前用户获取系统公告
     */
    @GetMapping("getUserSystemNotice")
    public AjaxResult getUserSystemNotice() {
        List<AdviceVo> adviceVo = sysAdviceService.getUserSystemNotice();
        return AjaxResult.success(adviceVo);
    }

    /**
     * 根据当前用户获取所有消息
     */
    @GetMapping("getUserAllMsg")
    public AjaxResult getUserAllMsg() {
        List<AdviceVo> adviceVo = sysAdviceService.getUserAllMsg();
        return AjaxResult.success(adviceVo);
    }

    /**
     * 获取所有消息
     */
    @GetMapping("getAllMsg")
    public AjaxResult getAllMsg() {
        List<AdviceVo> adviceVo = sysAdviceService.getAllMsg();
        return AjaxResult.success(adviceVo);
    }


}
